/*dev*/
/*html, html *{
  border: 1px dotted red;
}*/

/*.headerholder, .headerholder *{
  border: 1px dotted blue;
}*/

/*.topbar, .topbar *{
  border: 1px dotted green;
}*/

/*init*/
html{
  font-size: 100%;
}

/*some parameters*/

/*body*/
body{
  margin : 0;
  background : rgb(255, 255, 255);
  height: 100%;
  min-height: 100vh;
  min-height: -webkit-fill-available;
  font-family: Helvetica, Arial, Sans-Serif;
}

/*menu*/
.topbar{
  position: fixed;
  width : 100%;
  top:0px;
  left:0px;
  background: #161616;
  color: white;
  z-index:2;
  /*box-shadow: 0rem 0.05rem 0.5rem #000000;*/
  font-family: Helvetica, Arial, Sans-Serif;
}
#timer {
	position: absolute;
	right : 0;
	top : 0;
	float : right;
	text-align : center;
	font-size : 1.2rem;
	margin-top : 0;
	color : red;
}
.topbar .menu{
  display: flex;
  justify-content: center;
}
.topbar .item, .topbar .dropdown, .topbar .dropdown .item{
  width: 9rem;
  height: 3rem;
  display: flex;
  align-items:center;
  justify-content:center;
  text-align:center;
  color: white;
  text-decoration: none;
  text-transform: uppercase;
}
.topbar .item:hover, .topbar .dropdown:hover{
  color: black;
  background: white;
  box-shadow: 0rem 0.05rem 0.5rem #080808 inset;
}
.topbar .dropdown .item{
  border-top: 1px solid #161616;
}
.topbar .dropdown{
  position: relative;
}
.topbar .dropdown:hover > .hidden{
  display: block;
}
.topbar .hidden{
  display: none;
  position: absolute;
  width: 100%;
  bottom: 0px;
  left: 0px;
  height: 0px;
}
.topbar .hidden .item{
  background: white;
  color: black;
}
.topbar .active{
  position: relative;
}
.topbar .active:before{
  top:0px;
  left: 0px;
  position: absolute;
  width: 100%;
  display: block;
  height: 3px;
  content: ' ';
  background: white;
}
.topbar .hidden .active:before{
  display: none;
}

#index_timer {
	position : absolute;
	display : block;
	color : red;
	margin-top : 0px;
	right : 30%;
	top : 35%;
	text-align : center;
	font-style : normal;
}

/*header*/
.headerholder{
  margin-top: 3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  height: calc(100vh - 3rem);
  font-size: 1.5rem;
  font-style: italic;
  background: #161616;
  color: whitesmoke;
  font-family: Helvetica, Arial, Sans-Serif;
  position: relative;
}
.headerholder .header{
  display: flex;
  justify-content: center;
  align-items: flex-end;
}
.headerholder .sloganholder{
  margin: 1rem;
}
.headerholder .signed{
  text-align: right;
}
.headerholder .more{
  position: absolute;
  bottom: 0px;
}
.headerholder .more img{
  height: 3rem;
}


/*page*/
.page{
  margin: auto;
  padding: 0rem;
  color : black;
  max-width: 60rem;
}
.page .content{
  padding: 2.9rem 2.4rem;
}
@media screen and (max-width: 600px){
  /*get rid of the padding when screen too narrow*/
  .page .content{
    padding: 2.9rem 0.5rem;
  }
  
  /*manage menu bar when screen is too narrow*/
  .topbar .item, .topbar .dropdown, .topbar .dropdown .item{
    width: 6rem;
    height: 3rem;
    font-size: 0.7rem;
    font-weight: bold;
  }
}
@media screen and (max-width: 700px){
  /*manage header when screen is smaller than 700px in width*/
  .headerholder{
    flex-direction: column;
    justify-content: center;
    align-items: center; 
  }
  .headerholder .header{
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .headerholder .more{
    position: initial;
  }
  .headerholder .sloganholder{
    margin: 0rem 0.5rem;
    font-size: 1.2rem
  }
  .headerholder .background img{
    height: 20rem;
  }
  .headerholder p{
    margin: 0.2rem;
  }
  
}
@media screen and (max-height: 600px){
  /*manage header when screen is smaller than 700px in height*/
  .headerholder{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: auto;
    margin-top: 3rem;
  }
  .headerholder .header{
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .headerholder .more{
    position: initial;
  }
  .headerholder .sloganholder{
    margin: 0rem 0.5rem;
    font-size: 1.2rem
  }
  .headerholder .background img{
    height: 20rem;
  }
  .headerholder p{
    margin: 0.2rem;
  }
}

/*box thingy behavior*/
.page .root_container{
  display: flex;
  flex-flow: row wrap;
  justify-content: space-evenly;
}
.page .question_container{
  flex-basis: 20rem;
}
.page .question_container h2{
  text-align: center;
}

